/*
 * not.h
 *
 *
 *  Created on: 29-04-2014
 *      Author: KJ
 */

#ifndef NOT_H_
#define NOT_H_

#include "tdefs.h"

struct not_logic
{
	u8 *out_ptr;
	u8 out_bit_mask;

	u8 *in_ptr;
	u8 in_bit_mask;
};

struct not_io
{
	u32 in;
	u32 out;
}__attribute__((__packed__));

struct not_params
{
}__attribute__((__packed__));

struct not_args
{
	struct not_io io;
	struct not_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void not(void *args, void *logic);
extern int not_initlog(void *args, void *logic);

#endif /* NOT_H_ */
